## org.codehaus.groovy.tools.groovydoc
Class SimpleGroovyType

    java.lang.Object
      org.codehaus.groovy.tools.groovydoc.SimpleGroovyType

All Implemented Interfaces:
  GroovyType

    public class SimpleGroovyType

extends Object
implements GroovyType

Constructor Summary
`SimpleGroovyType(String typeName)`

Method Summary
`boolean` `isPrimitive()`
`String` `qualifiedTypeName()` The qualified name of this type excluding any dimension information.
`String` `simpleTypeName()` The unqualified name of this type excluding any dimension or nesting information.
`String` `typeName()` The unqualified name of this type excluding any dimension information.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyType
`toString`

Constructor Detail

### SimpleGroovyType

    public SimpleGroovyType(String typeName)

Method Detail

### typeName

    public String typeName()

  Description copied from interface: `GroovyType`
  The unqualified name of this type excluding any dimension information. For example, a two dimensional array of String returns "`String`".

  Specified by:
    `typeName` in interface `GroovyType`

### isPrimitive

    public boolean isPrimitive()

  Specified by:
    `isPrimitive` in interface `GroovyType`

### qualifiedTypeName

    public String qualifiedTypeName()

  Description copied from interface: `GroovyType`
  The qualified name of this type excluding any dimension information. For example, a two dimensional array of String returns "`java.lang.String`".

  Specified by:
    `qualifiedTypeName` in interface `GroovyType`

### simpleTypeName

    public String simpleTypeName()

  Description copied from interface: `GroovyType`
  The unqualified name of this type excluding any dimension or nesting information. For example, the class `Outer.Inner` returns "`Inner`".

  Specified by:
    `simpleTypeName` in interface `GroovyType`

Copyright © 2003-2009 The Codehaus. All rights reserved.